summaryrefslogtreecommitdiffstats
path: root/source/x/libkkc/libkkc.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/x/libkkc/libkkc.SlackBuild')
-rwxr-xr-xsource/x/libkkc/libkkc.SlackBuild12
1 files changed, 4 insertions, 8 deletions
diff --git a/source/x/libkkc/libkkc.SlackBuild b/source/x/libkkc/libkkc.SlackBuild
index ec67ff4f9..0db5617af 100755
--- a/source/x/libkkc/libkkc.SlackBuild
+++ b/source/x/libkkc/libkkc.SlackBuild
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libkkc
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d- | rev)}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-5}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -85,9 +85,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-# Something for later?
-#cat $CWD/ba1c1bd3eb86d887fc3689c3142732658071b5f7.patch | patch -p1 --verbose || exit 1
-#sed -i "s|#!/usr/bin/python$|#!/usr/bin/python3|g" data/templates/libkkc-data/tools/*.py
+# Patch scripts to support python3:
+cat $CWD/ba1c1bd3eb86d887fc3689c3142732658071b5f7.patch | patch -p1 --verbose || exit 1
if [ ! -r configure ]; then
if [ -x ./autogen.sh ]; then
@@ -97,10 +96,7 @@ if [ ! -r configure ]; then
fi
fi
-###########################
-# FORCING PYTHON2 FOR NOW #
-###########################
-PYTHON=python2 \
+PYTHON=python3 \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \